import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as u } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (c, t, o, s) => {
  for (var e = s > 1 ? void 0 : s ? m(t, o) : t, p = c.length - 1, i; p >= 0; p--)
    (i = c[p]) && (e = (s ? i(t, o, e) : i(e)) || e);
  return s && e && a(t, o, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--plus", this.class = "c-pieIcon c-pieIcon--plus", this.name = "IconPlus";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--plus"><path d="M14.125 7.344H8.656V1.875H7.344v5.469H1.875v1.312h5.469v5.469h1.312V8.656h5.469V7.344Z"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = l([
  u("icon-plus")
], r);
export {
  r as IconPlus
};
